Skip to content

Check provider registration

GET
/provider/registration/{wallet}
curl --request GET \
--url https://api.katara.com/v1/provider/registration/example

Public registration status used during provider setup. The response contains public addresses only.

wallet
required
string
/^0x[0-9a-fA-F]{40}$/

Public provider wallet address.

Current provider registration.

Media typeapplication/json
object
wallet
required
string
service_key
required
string
active
required
boolean
flagged
required
boolean
Examplegenerated
{
"wallet": "example",
"service_key": "example",
"active": true,
"flagged": true
}

The wallet address is invalid.

The provider is not registered.